BSON_READER_NEW_FROM_DATA(3)

NAME
bson_reader_new_from_data - bson_reader_new_from_data()

SYNOPSIS

bson_reader_t *
bson_reader_new_from_data (const uint8_t *data, size_t length);

PARAMETERS

•   data: A uint8_t.

•   length: A size_t.

DESCRIPTION

The bson_reader_new_from_data() function shall create a new bson_reader_t using the buffer supplied. data is not copied and MUST be valid for the lifetime of the resulting bson_reader_t.

RETURNS

A newly allocated bson_reader_t.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc